commit:     e17cf9a4deb90f442de5ab60d0fff1c5c3b31cf7
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Wed May 23 00:22:42 2018 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Wed May 23 00:22:42 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e17cf9a4

dev-python/grabbit: new package (pybids dependency)

Package-Manager: Portage-2.3.38, Repoman-2.3.9

 dev-python/grabbit/grabbit-0.1.1.ebuild | 27 +++++++++++++++++++++++++++
 dev-python/grabbit/metadata.xml         | 21 +++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/grabbit/grabbit-0.1.1.ebuild 
b/dev-python/grabbit/grabbit-0.1.1.ebuild
new file mode 100644
index 000000000..cceee888e
--- /dev/null
+++ b/dev-python/grabbit/grabbit-0.1.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Get grabby with file trees"
+HOMEPAGE="https://github.com/grabbles/grabbit";
+SRC_URI="https://github.com/grabbles/grabbit/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( >=dev-python/pytest-3.4.1[${PYTHON_USEDEP}] )
+       "
+RDEPEND=""
+
+python_test() {
+       py.test -v || die
+}

diff --git a/dev-python/grabbit/metadata.xml b/dev-python/grabbit/metadata.xml
new file mode 100644
index 000000000..f297bae41
--- /dev/null
+++ b/dev-python/grabbit/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Horea Christian</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Science Project</name>
+       </maintainer>
+       <longdescription lang="en">
+               Grabbit is a lightweight Python 3 package for simple queries 
over filenames
+               within a project. It's geared towards projects or applications 
with highly
+               structured filenames that allow useful queries to be performed 
without having
+               to inspect the file metadata or contents.
+       </longdescription>
+       <upstream>
+               <remote-id type="github">grabbles/grabbit</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to